#!/bin/sh
export PATH='/usr/lib/llvm15/bin/:/usr/lib/ccache/bin:/usr/bin'
printf '%s' 'name:                 ShellCheck
version:              0.10.0
visibility:           public
id:                   ShellCheck-0.10.0-KOt85a2KhfSecQMRZmXgI
key:                  ShellCheck-0.10.0-KOt85a2KhfSecQMRZmXgI
license:              GPL-3.0-only
maintainer:           vidar@vidarholen.net
author:               Vidar Holen
homepage:             https://www.shellcheck.net/
synopsis:             Shell script analysis tool
description:
    The goals of ShellCheck are:

    * To point out and clarify typical beginner'\''s syntax issues,
    that causes a shell to give cryptic error messages.

    * To point out and clarify typical intermediate level semantic problems,
    that causes a shell to behave strangely and counter-intuitively.

    * To point out subtle caveats, corner cases and pitfalls, that may cause an
    advanced user'\''s otherwise working script to fail under future circumstances.

category:             Static Analysis
abi:                  3489ed43e90da982c19bd94036462c3e
exposed:              True
exposed-modules:
    ShellCheck.AST ShellCheck.ASTLib ShellCheck.Analytics
    ShellCheck.Analyzer ShellCheck.AnalyzerLib ShellCheck.CFG
    ShellCheck.CFGAnalysis ShellCheck.Checker
    ShellCheck.Checks.Commands ShellCheck.Checks.ControlFlow
    ShellCheck.Checks.Custom ShellCheck.Checks.ShellSupport
    ShellCheck.Data ShellCheck.Debug ShellCheck.Fixer
    ShellCheck.Formatter.CheckStyle ShellCheck.Formatter.Diff
    ShellCheck.Formatter.Format ShellCheck.Formatter.GCC
    ShellCheck.Formatter.JSON ShellCheck.Formatter.JSON1
    ShellCheck.Formatter.Quiet ShellCheck.Formatter.TTY
    ShellCheck.Interface ShellCheck.Parser ShellCheck.Prelude
    ShellCheck.Regex

hidden-modules:       Paths_ShellCheck
import-dirs:          /usr/lib/ghc-9.8.2/site-local/ShellCheck-0.10.0
library-dirs:         /usr/lib/ghc-9.8.2/site-local/ShellCheck-0.10.0
library-dirs-static:  /usr/lib/ghc-9.8.2/site-local/ShellCheck-0.10.0
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/x86_64-linux-ghc-9.8.2/ShellCheck-0.10.0
hs-libraries:         HSShellCheck-0.10.0-KOt85a2KhfSecQMRZmXgI
depends:
    Diff-0.5-ETXC27AbsxX7OBxXu1CaIz
    QuickCheck-2.14.3-CMSRR25mhIZKkXks0QEHAt
    aeson-2.2.1.0-4pa7z8wb2ac2tkW2gC8FY5 array-0.5.6.0-inplace
    base-4.19.1.0-inplace bytestring-0.12.1.0-inplace
    containers-0.6.8-inplace deepseq-1.5.0.0-inplace
    directory-1.3.8.1-inplace fgl-5.8.2.0-EpwyinkSGqAAzwXcYl8LG7
    filepath-1.4.200.1-inplace mtl-2.3.1-inplace
    parsec-3.1.17.0-inplace process-1.6.18.0-inplace
    regex-tdfa-1.3.2.2-LdZoHUt4nRyBanY0EwPldJ
    transformers-0.6.1.0-inplace

haddock-interfaces:   /usr/share/doc/shellcheck/html/ShellCheck.haddock
haddock-html:         /usr/share/doc/shellcheck/html
' | '/usr/bin/ghc-pkg-9.8.2' 'update' '-' '--global' '--no-user-package-db' "$@"

